<!DOCTYPE HTML>


<html lang="en" xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">

<head>
<title>Achievents</title>

<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
	integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
	crossorigin="anonymous">
	<script type="text/javascript" src="/js/profilo.js"></script>
	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<script src="//netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js"></script>
	<link rel="stylesheet" type="text/css" href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css">
	
	<style>
		.negative {
		  border-color: white;
		  color: white;
		}
		
		.negative:hover {
		  background-color: white;
		  color: #343A40;
		}
	</style>
</head>

	
<body style="background-color: #E3E2E6">
	<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
		<a class="navbar-brand" href="/">Home</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse"
			data-target="#navbarsExampleDefault"
			aria-controls="navbarsExampleDefault" aria-expanded="false"
			aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarsExampleDefault">
			<ul class="navbar-nav mr-auto">
				<li class="nav-item active"><a class="nav-link"
					sec:authorize="!hasRole('ROLE_STUDENTE')" href="/offerte/full-list">Tutte
						le offerte</a></li>
			</ul>
			<div style="float: right" class="dropdown my-2 my-lg-0" >
	
				<button type="submit" id="dropdownMenuButton" class="btn dropdown-toggle negative my-2 my-sm-0 mt-2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
		      		<span><i style="font-size:24px;margin-right:7px" class="fa fa-user-circle-o" aria-hidden="true"></i></span><span style="font-size:16px;margin-top:3px">Benvenuto, <span sec:authentication="name"></span></span>
		      	</button>
				<div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
					<a class="dropdown-item" th:href="@{/profilo(username=${#authentication.name})}" role="button">Vai al tuo profilo »</a>
			    	<!-- Add a logout button -->
					<form id="logout-form" class="dropdown-item form-inline my-2 my-lg-0" action="#" th:action="@{/logout}" 
							   method="POST">
					
						<a onclick="document.getElementById('logout-form').submit();" type="submit" role="button">Logout »</a>
					
					</form>
					
		  		</div>
			</div>
		</div>
	</nav>

	<div class="container">

		<h2>Profilo personale</h2>
		<hr><br>

		<form id="form" onsubmit="return validateForm()" action="#" th:action="@{/aziende/save}"
							 th:object="${azienda}" method="POST">
							 
				<!-- Add hidden form field to handle update -->
				<input type="hidden" th:field="*{partitaiva}"/>
				
				<input type="text" th:field="*{nome}"
						class="inputs form-control mb-4 col-4" placeholder="Nome">
						
				<input type="hidden" th:field="*{utenzaAz.username}"/>
				<input type="hidden" th:field="*{utenzaAz.password}"/>
				<input type="hidden" th:field="*{utenzaAz.enabled}"/>
				<input type="hidden" th:field="*{utenzaAz.tipo}"/>
				<button type="submit" class="btn btn-info col-2">Salva</button>	 
			</form>
		<hr>
		<a href="/">Indietro</a>
	</div>
</body>
</html>